aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2012-11-29 20:30:54 -0700
committerChristoph Junghans <ottxor@gentoo.org>2012-11-29 20:30:54 -0700
commitcfa327e9178ca019543d81bdddfb2898023e98e0 (patch)
tree7d1e72d492cb3df329da831fcc32089ddbf407b3 /eclass
parentupdated deps (diff)
downloadsci-cfa327e9178ca019543d81bdddfb2898023e98e0.tar.gz
sci-cfa327e9178ca019543d81bdddfb2898023e98e0.tar.bz2
sci-cfa327e9178ca019543d81bdddfb2898023e98e0.zip
fix typo in intel-sdp_pkg_pretend
Diffstat (limited to 'eclass')
-rw-r--r--eclass/intel-sdp.eclass7
1 files changed, 4 insertions, 3 deletions
diff --git a/eclass/intel-sdp.eclass b/eclass/intel-sdp.eclass
index 3602b6d55..d80e3108d 100644
--- a/eclass/intel-sdp.eclass
+++ b/eclass/intel-sdp.eclass
@@ -255,7 +255,7 @@ _isdp_run-test() {
# * Check for space requirements being fullfilled
# @CODE
intel-sdp_pkg_pretend() {
- local warn=1 dir dirs i ret arch a p
+ local warn=1 dir dirs ret arch a p
: ${CHECKREQS_DISK_BUILD:=256M}
check-reqs_pkg_pretend
@@ -266,8 +266,9 @@ intel-sdp_pkg_pretend() {
"${EPREFIX}/opt/intel/licenses"
)
for dir in "${dirs[@]}" ; do
- ebegin "Checking for a license in: ${dirs[$i]}"
- [[ $( ls "${dirs[$i]}"/*lic 2>/dev/null ) ]]; ret=$?
+ ebegin "Checking for a license in: ${dir}"
+ #maybe use nullglob or [[ $(echo ${dir/*lic) != "${dir}/*lic" ]]
+ [[ $( ls "${dir}"/*lic 2>/dev/null ) ]]; ret=$?
eend ${ret}
if [[ ${ret} == "0" ]]; then
warn=${ret}